apiVersion: v1
data:
  kie-server-state: |-
    <kie-server-state>
      <controllers/>
      <configuration>
        <configItems>
          <config-item>
            <name>org.kie.server.state.immutable</name>
            <value>true</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.location</name>
            <value>http://myapp-kieserver-jschwan-s2i-test.project.openshiftdomain:80/services/rest/server</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.executor.retry.count</name>
            <value>3</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.persistence.dialect</name>
            <value>org.hibernate.dialect.PostgreSQLDialect</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.mgmt.api.disabled</name>
            <value>true</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.user</name>
            <value>executionUser</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.id</name>
            <value>myapp-kieserver</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.sync.deploy</name>
            <value>true</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.repo</name>
            <value>/home/jboss/.kie/repository</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.persistence.tm</name>
            <value>org.hibernate.engine.transaction.jta.platform.internal.JBossAppServerJtaPlatform</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.bypass.auth.user</name>
            <value>false</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.persistence.ds</name>
            <value>java:/jboss/datasources/rhpam</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.pwd</name>
            <value>ioIhqg5!</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.startup.strategy</name>
            <value>OpenShiftStartupStrategy</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.domain</name>
            <value>other</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.mode</name>
            <value>DEVELOPMENT</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.services.openshift.service.name</name>
            <value>myapp-kieserver-1</value>
            <type>java.lang.String</type>
          </config-item>
        </configItems>
      </configuration>
      <containers class="linked-hash-set">
        <container>
          <containerId>cont-id</containerId>
          <releaseId>
            <groupId>org.kie.server.testing</groupId>
            <artifactId>definition-project</artifactId>
            <version>1.0.0.Final</version>
          </releaseId>
          <status>STARTED</status>
          <configItems/>
          <messages/>
        </container>
      </containers>
    </kie-server-state>
kind: ConfigMap
metadata:
  creationTimestamp: '2019-05-24T14:35:11Z'
  labels:
    application: myapp
    services.server.kie.org/kie-server-id: myapp-kieserver
    services.server.kie.org/kie-server-state: IMMUTABLE
  name: myapp-kieserver-1
  namespace: jschwan-s2i-test
  resourceVersion: '611372'
  selfLink: /api/v1/namespaces/jschwan-s2i-test/configmaps/myapp-kieserver-1
  uid: 230ebb3f-7e31-11e9-8315-fa163eeaca52

